## xcircuit 3.6.24

=== asg/Makefile ===
# Makefile.in generated by automake 1.9.2 from Makefile.am.
# asg/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libasg_a_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/xcircuit
pkglibdir = $(libdir)/xcircuit
pkgincludedir = $(includedir)/xcircuit
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = asg
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libasg_a_AR = $(AR) $(ARFLAGS)
libasg_a_LIBADD =
am_libasg_a_OBJECTS = var.$(OBJEXT) list.$(OBJEXT) cstitch.$(OBJEXT) \
	psfigs.$(OBJEXT) debug.$(OBJEXT) utility.$(OBJEXT) \
	parse_support.$(OBJEXT) global_route.$(OBJEXT) \
	local_route.$(OBJEXT) place.$(OBJEXT) terminals.$(OBJEXT) \
	n2a.$(OBJEXT) asg.$(OBJEXT) asg_module.$(OBJEXT)
libasg_a_OBJECTS = $(am_libasg_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libasg_a_SOURCES)
DIST_SOURCES = $(libasg_a_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run aclocal-1.9
ALL_TARGET = undefined-target
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run tar
AUTOCONF = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g
CPP = gcc -E
CPPFLAGS =   -I/usr/X11R6/include -I/usr/include/python2.3
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"xcircuit\" -DVERSION=\"3.6\" -DPROTOTYPES=1 -D__PROTOTYPES=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRING_H=1 -DHAVE_LIBM=1 -DSIZEOF_VOID_P=4 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG=4 -DHAVE_LIBXT=1 -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DHAVE_DIRENT_H=1 -DHAVE_LIBZ=1 -DHAVE_VA_COPY=1 -DHAVE___VA_COPY=1 -DHAVE_U_CHAR=1 -DDOUBLEBUFFER=1 -DHAVE_X11_XPM_H=1 -DHAVE_XPM=1 -DLGF=1 -DINPUT_FOCUS=1 -DGS_EXEC=\"gs\" -DSPICE_EXEC=\"ngspice\" -DHAVE_PYTHON=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LIB_SPECS =  -lm
GS_EXEC = gs
INC_SPECS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTALL_TARGET = undefined-install-target
INTERP_PATH = python
LD = /usr/bin/ld
LDDL_FLAGS = 
LDFLAGS =   -L/usr/X11R6/lib -L/usr/lib/python2.3/config
LD_RUN_PATH = 
LIBOBJS = 
LIBS = -lz -lXt  -lSM -lICE -lm  -lX11 -lXpm -lpython2.3 		-lpthread -ldl  -lutil 		-lm
LIB_SPECS = 
LTLIBOBJS = 
M4 = /usr/bin/m4
M4_DEFS = -DHAVE_PYTHON=1
MAKEINFO = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run makeinfo
OBJEXT = o
PACKAGE = xcircuit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
RANLIB = ranlib
REVISION = 22
SET_MAKE = 
SHDLIB_EXT = 
SHELL = /bin/sh
SHLIB_CFLAGS = 
SHLIB_LD = 
SHLIB_LIB_SPECS = 
SPICE_EXEC = ngspice
STARTUP_FILE = xcstartup.py
STDLIBS = 
STRIP = 
SUBDIRS = 
SUBLIB = 
TCL_LIB_DIR = 
U = 
VERSION = 3.6
WISH_EXE = 
WRAPPER_SCRIPT = 
XCIRCUIT_TARGET = xcircuit
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tim/src/xcircuit-3.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/tim/cad
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
AUTOMAKE_OPTIONS = foreign no-dependencies
EXTRA_DIST = 
INCLUDES = -I.. ${INC_SPECS}

# Requirements for ASG library
noinst_LIBRARIES = libasg.a
libasg_a_SOURCES = \
   var.c list.c cstitch.c psfigs.c debug.c utility.c parse_support.c \
   global_route.c local_route.c place.c terminals.c n2a.c asg.c asg_module.c

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  asg/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  asg/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libasg.a: $(libasg_a_OBJECTS) $(libasg_a_DEPENDENCIES) 
	-rm -f libasg.a
	$(libasg_a_AR) libasg.a $(libasg_a_OBJECTS) $(libasg_a_LIBADD)
	$(RANLIB) libasg.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \

=== spiceparser/Makefile ===
# Makefile.in generated by automake 1.9.2 from Makefile.am.
# spiceparser/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



SOURCES = $(libspiceparser_a_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/xcircuit
pkglibdir = $(libdir)/xcircuit
pkgincludedir = $(includedir)/xcircuit
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = spiceparser
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)
AR = ar
ARFLAGS = cru
libspiceparser_a_AR = $(AR) $(ARFLAGS)
libspiceparser_a_LIBADD =
am_libspiceparser_a_OBJECTS = bitlist.$(OBJEXT) eqn.$(OBJEXT) \
	eqnlist.$(OBJEXT) equations.$(OBJEXT) hash.$(OBJEXT) \
	list.$(OBJEXT) list_search.$(OBJEXT) memory.$(OBJEXT) \
	mergedup.$(OBJEXT) names.$(OBJEXT) netlist.$(OBJEXT) \
	netlist_dev.$(OBJEXT) netlist_extract.$(OBJEXT) \
	netlist_funcs.$(OBJEXT) netlist_lib.$(OBJEXT) \
	netlist_spice.$(OBJEXT) netlist_template.$(OBJEXT) \
	scanner.$(OBJEXT) sort.$(OBJEXT) xcircspice.$(OBJEXT)
libspiceparser_a_OBJECTS = $(am_libspiceparser_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir)
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libspiceparser_a_SOURCES)
DIST_SOURCES = $(libspiceparser_a_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run aclocal-1.9
ALL_TARGET = undefined-target
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run tar
AUTOCONF = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g
CPP = gcc -E
CPPFLAGS =   -I/usr/X11R6/include -I/usr/include/python2.3
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"xcircuit\" -DVERSION=\"3.6\" -DPROTOTYPES=1 -D__PROTOTYPES=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STRING_H=1 -DHAVE_LIBM=1 -DSIZEOF_VOID_P=4 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG=4 -DHAVE_LIBXT=1 -DSTDC_HEADERS=1 -DHAVE_SETENV=1 -DHAVE_PUTENV=1 -DHAVE_DIRENT_H=1 -DHAVE_LIBZ=1 -DHAVE_VA_COPY=1 -DHAVE___VA_COPY=1 -DHAVE_U_CHAR=1 -DDOUBLEBUFFER=1 -DHAVE_X11_XPM_H=1 -DHAVE_XPM=1 -DLGF=1 -DINPUT_FOCUS=1 -DGS_EXEC=\"gs\" -DSPICE_EXEC=\"ngspice\" -DHAVE_PYTHON=1 
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
EXTRA_LIB_SPECS =  -lm
GS_EXEC = gs
INC_SPECS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTALL_TARGET = undefined-install-target
INTERP_PATH = python
LD = /usr/bin/ld
LDDL_FLAGS = 
LDFLAGS =   -L/usr/X11R6/lib -L/usr/lib/python2.3/config
LD_RUN_PATH = 
LIBOBJS = 
LIBS = -lz -lXt  -lSM -lICE -lm  -lX11 -lXpm -lpython2.3 		-lpthread -ldl  -lutil 		-lm
LIB_SPECS = 
LTLIBOBJS = 
M4 = /usr/bin/m4
M4_DEFS = -DHAVE_PYTHON=1
MAKEINFO = ${SHELL} /home/tim/src/xcircuit-3.6/missing --run makeinfo
OBJEXT = o
PACKAGE = xcircuit
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PYTHON = /usr/bin/python
RANLIB = ranlib
REVISION = 22
SET_MAKE = 
SHDLIB_EXT = 
SHELL = /bin/sh
SHLIB_CFLAGS = 
SHLIB_LD = 
SHLIB_LIB_SPECS = 
SPICE_EXEC = ngspice
STARTUP_FILE = xcstartup.py
STDLIBS = 
STRIP = 
SUBDIRS = 
SUBLIB = 
TCL_LIB_DIR = 
U = 
VERSION = 3.6
WISH_EXE = 
WRAPPER_SCRIPT = 
XCIRCUIT_TARGET = xcircuit
X_CFLAGS =  -I/usr/X11R6/include
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_CC = gcc
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tim/src/xcircuit-3.6/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/tim/cad
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
AUTOMAKE_OPTIONS = foreign no-dependencies
EXTRA_DIST = 
INCLUDES = -I.. ${INC_SPECS}

# Requirements for spiceparser library
noinst_LIBRARIES = libspiceparser.a
libspiceparser_a_SOURCES = \
  bitlist.c eqn.c eqnlist.c equations.c hash.c list.c list_search.c \
  memory.c mergedup.c names.c netlist.c netlist_dev.c netlist_extract.c \
  netlist_funcs.c netlist_lib.c netlist_spice.c netlist_template.c \
  scanner.c sort.c xcircspice.c

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  spiceparser/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  spiceparser/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libspiceparser.a: $(libspiceparser_a_OBJECTS) $(libspiceparser_a_DEPENDENCIES) 
	-rm -f libspiceparser.a
	$(libspiceparser_a_AR) libspiceparser.a $(libspiceparser_a_OBJECTS) $(libspiceparser_a_LIBADD)
	$(RANLIB) libspiceparser.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

.c.o:
	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \

## xcircuit 3.7.26.dfsg

=== debian/changelog ===
xcircuit (3.7.26.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #636948)
  * debian/control: Uploaders: Roland Stigge <stigge@antcom.de>
  * debian/source/format: 3.0 (quilt)
  * Added tutorial.tar.gz (Closes: #72945)

 -- Roland Stigge <stigge@antcom.de>  Thu, 11 Aug 2011 22:27:10 +0200

xcircuit (3.6.135.dfsg-1) unstable; urgency=high

  * New upstream release.
    - Dropped debian/patches/fix_tk_version.dpatch, since it's been applied
      in the new upstream release.
  * Modified debian/rules to fix FTBFS in when sudo is used instead of
    fakeroot. (Closes: #481460)
  * Updated Standards Version to 3.8.0.
    - Removed "Conflicts: xbase (<< 3.3.2.3a-2)" from debian/control
  * Fixed some lintian warnings.
    + Added watch file.
    + Removed deprecated build-deps (x-dev, xutils), added x11proto-core-dev
      instead.
    + Fixed debian/rules so that config.sub and config.guess differences 
      aren't shipped.
  * Made debian/copyright a machine parsable file.

 -- Margarita Manterola <marga@debian.org>  Sat, 28 Jun 2008 22:32:54 +0000

xcircuit (3.6.130.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards Version.
    + Updated menu entries.
  * Added Homepage field
  * Several changes to debian/rules
    + Moved DH_COMPAT to debian/compat
    + Fixed the clean target so that the package can be built twice in row
      (Closes: #442767).
    + Fixed the install target so that the appdefaults are correctly
      installed, and menus work as expected (Closes: #102640).
    + Fix the configure target so that it finds tcl correctly. This fixes
      some of the reported segfaults (Closes: #418631, #441893).
  * Added debian/patches/fix_lib_files.dpatch, to be able to 
    correctly install the files in /usr/share and /usr/lib.
  * Added debian/patches/fix_tk_version.dpatch, to allow the use of
    tcl/tk 8.5.2, which didn't work.

 -- Margarita Manterola <marga@debian.org>  Sun, 27 Apr 2008 02:53:28 +0000

xcircuit (3.6.78.dfsg-1) unstable; urgency=low

  * New upstream release.
  	- Works correctly in amd64 (Closes: #229955).
    - Drop python in favour of tcl support (Closes: #380989, #226233).
  * New maintainer (Closes: #401609).
  * Migrated from cdbs to debhelper.
  * Repackaged original sources due to licensing problems of the asg module.
  * Added extra menu entry for Apps/Technical (Closes: #128764) 

 -- Margarita Manterola <marga@debian.org>  Wed,  6 Dec 2006 11:11:48 -0300

xcircuit (3.6.24-1) unstable; urgency=low

  * QA Upload 
  * New Upstream Version (Closes: #266080, #262321)
  * Update debian/copyright
  * debian/{menu, install}:
    + install pixmaps to /usr/share/pixmaps/xcircuit/
  * Conforms with new Standards version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 22 May 2006 10:08:25 +0200

xcircuit (3.1.19-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/changelog: removed obsolete crap from the bottom
  * debian/menu: quoted the unquoted
  * Updated config.{sub,guess}

 -- Andrew Pollock <apollock@debian.org>  Sun,  9 Apr 2006 14:52:08 -0700

xcircuit (3.1.19-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #346798).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 18:07:15 +0100

xcircuit (3.1.19-1) unstable; urgency=low

  * New upstream release.

 -- David Z Maze <dmaze@debian.org>  Sun, 24 Aug 2003 09:08:10 -0400

xcircuit (3.1.18-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.6.0 (no changes).
  * Build vs. Python 2.3.

 -- David Z Maze <dmaze@debian.org>  Sat,  9 Aug 2003 10:59:26 -0400

xcircuit (3.1.15-1) unstable; urgency=low

  * New upstream release.
  * Migrate from CBS to cdbs.  Thanks to Colin Walters for creating the
    infrastructure, and for giving tips on setting up debian/rules.

 -- David Z Maze <dmaze@debian.org>  Thu, 29 May 2003 14:44:08 -0400

xcircuit (3.1.14-1) unstable; urgency=low

  * New upstream release.
  * Update to CBS 1.59.
  * Standards-Version 3.5.10.0 (no changes).

 -- David Z Maze <dmaze@debian.org>  Sun, 18 May 2003 21:00:19 -0400

xcircuit (3.1.12-1) unstable; urgency=low

  * New upstream release.
  * Update to CBS 1.57.
  * Should build from source (not tripping over internal gcc errors)
    on hppa.  (Closes: #189583)

 -- David Z Maze <dmaze@debian.org>  Mon, 21 Apr 2003 15:26:08 -0400

xcircuit (3.1.10-1) unstable; urgency=low

  * New upstream release.
  * Update to CBS 1.56.
  * Standards-Version 3.5.9.0 (no changes).

 -- David Z Maze <dmaze@debian.org>  Sun, 13 Apr 2003 13:57:35 -0400

xcircuit (3.0rev8-1) unstable; urgency=low

  * New upstream release.
  * Update to CBS 1.50.

 -- David Z Maze <dmaze@debian.org>  Sun, 19 Jan 2003 10:57:32 -0500

xcircuit (3.0rev7-1) unstable; urgency=low

  * New upstream release.
  * Update to CBS 1.48.

 -- David Z Maze <dmaze@debian.org>  Wed, 18 Dec 2002 23:58:36 -0500

xcircuit (3.0rev5-2) unstable; urgency=low

  * Use Colin's Build System.  This includes finally switching the package
    to using debhelper.

 -- David Z Maze <dmaze@debian.org>  Sat,  7 Dec 2002 11:47:30 -0500

xcircuit (3.0rev5-1) unstable; urgency=low

  * New upstream release.
  * Updated to standards-version 3.5.8.0 (no changes).

 -- David Z Maze <dmaze@debian.org>  Fri,  6 Dec 2002 23:35:31 -0500

xcircuit (3.0rev4-1) unstable; urgency=low

  * New upstream release.  This includes a fix to a critical bug (though
    with a goto rather than a continue).  (Closes: #166509)
  * Switch to using the default version of Python, rather than forcing
    python2.1.
  * No longer manage a /usr/doc link.  (These things are much easier when
    you use debhelper.  :-)

 -- David Z Maze <dmaze@debian.org>  Sat, 23 Nov 2002 10:24:39 -0500

xcircuit (2.5.5rev0-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: xcircuit
Section: electronics
Priority: extra
Maintainer: Margarita Manterola <marga@debian.org>
Uploaders: Roland Stigge <stigge@antcom.de>
Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 7.0.50~), tcl-dev, tk-dev, autotools-dev
Standards-Version: 3.9.2
Homepage: http://opencircuitdesign.com/xcircuit/

Package: xcircuit
Section: electronics
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Draw circuit schematics or almost anything
 xcircuit is a generic drawing program tailored for making circuit
 diagrams.
 .
 The graphical interface attempts to maintain consistency between
 X11 window rendering and the pure PostScript output.
 .
 xcircuit is mouse, menu and keyboard driven. The emphasis is on
 single character macros.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	#  Some touch-fu
	touch --time=mtime -r configure.in Makefile.am
	touch --time=mtime -r configure.in Makefile.in
	touch --time=mtime -r configure.in configure
	touch --time=mtime -r configure.in aclocal.m4
	touch --time=mtime -r configure.in Xw/Makefile.am
	touch --time=mtime -r Xw/Makefile.am Xw/Makefile.in
	LDFLAGS="-Wl,-z,defs" dh_auto_configure -- --x-includes=/usr --with-tcl=/usr/lib/tcl8.5
	
override_dh_auto_build:
	$(MAKE) \
		librarydir=/usr/share/xcircuit \
		exelibdir=/usr/lib/xcircuit \
		scriptsdir=/usr/share/xcircuit 

override_dh_auto_install:
	$(MAKE) install \
		librarydir=/usr/share/xcircuit \
		exelibdir=/usr/lib/xcircuit \
		scriptsdir=/usr/share/xcircuit \
		appdefaultsdir=/etc/X11/app-defaults \
		appmandir=/usr/share/man/man1/ \
		DESTDIR=$(CURDIR)/debian/xcircuit
	chmod a-x $(CURDIR)/debian/xcircuit/usr/share/xcircuit/console.tcl

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_compress:
	dh_compress --exclude examples/

override_dh_auto_test:

=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg$//" \
http://opencircuitdesign.com/xcircuit/archive/xcircuit-(.*)\.tgz

## xcircuit 3.7.39.dfsg

=== debian/changelog ===
xcircuit (3.7.39.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 06 Apr 2012 14:39:32 +0200

xcircuit (3.7.37.dfsg-1) unstable; urgency=low

  * New upstream release
  * Dropped 02_fix_tcl_libs.patch (integrated upstream)

 -- Roland Stigge <stigge@antcom.de>  Sun, 25 Mar 2012 12:47:54 +0200

xcircuit (3.7.35.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 23 Mar 2012 11:18:44 +0100

xcircuit (3.7.33.dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/compat: 9
  * Added patch to fix string format issues (05_fix_string_format.patch)

 -- Roland Stigge <stigge@antcom.de>  Sat, 10 Mar 2012 21:17:32 +0100

xcircuit (3.7.32.dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.3
  * debian/rules: Added get-orig-source target

 -- Roland Stigge <stigge@antcom.de>  Sat, 25 Feb 2012 21:54:52 +0100

xcircuit (3.7.30.dfsg-1) unstable; urgency=low

  * New upstream release
  * Fixed manpage (04_fix_manpage.patch)

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Feb 2012 21:04:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 7.0.50~), tcl-dev, tk-dev, autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev
+Standards-Version: 3.9.3
 Homepage: http://opencircuitdesign.com/xcircuit/
 
 Package: xcircuit

=== debian/rules ===
--- 
+++ 
@@ -41,3 +41,15 @@
 	dh_compress --exclude examples/
 
 override_dh_auto_test:
+
+TMP=get-orig-source-tmp
+get-orig-source:
+	rm -rf $(TMP)
+	mkdir $(TMP)
+	uscan --download --no-symlink --destdir $(TMP)
+	cd $(TMP) && tar xf xcircuit*.tgz && \
+		rm xcircuit*.tgz && \
+		rm -r */asg && \
+		VERSION=`ls -d xcircuit*` && \
+		tar cfj ../$$VERSION.dfsg.tar.bz2 $$VERSION
+	rm -rf $(TMP)

## xcircuit 3.7.40.dfsg

=== debian/changelog ===
xcircuit (3.7.40.dfsg-1ubuntu1) raring; urgency=low

  * Modified d/rules to use multiarch Tcl & Tk location, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Apr 2013 15:49:29 -0400

xcircuit (3.7.40.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 28 May 2012 12:03:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xcircuit
 Section: electronics
 Priority: extra
-Maintainer: Margarita Manterola <marga@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev
+Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev, dpkg-dev (>= 1.16.0)
 Standards-Version: 3.9.3
 Homepage: http://opencircuitdesign.com/xcircuit/

## xcircuit 3.7.48.dfsg

=== debian/changelog ===
xcircuit (3.7.48.dfsg-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Modify to use multiarch Tcl & Tk location, fixing FTBFS.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 18 May 2013 19:54:11 +0530

xcircuit (3.7.48.dfsg-3) unstable; urgency=low

  * Added patch to fix foreground / background readability issue, thanks to
    Tim Edwards (Closes: #)

 -- Roland Stigge <stigge@antcom.de>  Thu, 16 May 2013 20:48:16 +0200

xcircuit (3.7.48.dfsg-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Modify to use multiarch Tcl & Tk location, fixing FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 16 May 2013 01:52:35 -0400

xcircuit (3.7.48.dfsg-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:06:18 +0200

xcircuit (3.7.48.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 25 Jan 2013 11:17:32 +0100

xcircuit (3.7.47.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 06 Jan 2013 14:47:55 +0100

xcircuit (3.7.46.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 31 Dec 2012 13:44:36 +0100

xcircuit (3.7.45.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 23 Dec 2012 19:26:52 +0100

xcircuit (3.7.44.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Wed, 03 Oct 2012 12:16:57 +0200

xcircuit (3.7.43.dfsg-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Sep 2012 13:50:18 +0200

xcircuit (3.7.41.dfsg-1) experimental; urgency=low

  * New upstream release
  * debian/control, debian/rules: Force tk8.5 and tcl8.5 since 8.6 leads to X
    errors (BadValue)

 -- Roland Stigge <stigge@antcom.de>  Fri, 17 Aug 2012 10:38:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.3
+Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://opencircuitdesign.com/xcircuit/
 
 Package: xcircuit

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@
@@ -16,7 +17,8 @@
 	touch --time=mtime -r configure.in aclocal.m4
 	touch --time=mtime -r configure.in Xw/Makefile.am
 	touch --time=mtime -r Xw/Makefile.am Xw/Makefile.in
-	LDFLAGS="-Wl,-z,defs" dh_auto_configure -- --x-includes=/usr --with-tcl=/usr/lib/tcl8.5
+	LDFLAGS="-Wl,-z,defs" dh_auto_configure -- --x-includes=/usr --with-tcllibs=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--with-tklibs=/usr/lib/$(DEB_HOST_MULTIARCH)
 	
 override_dh_auto_build:
 	$(MAKE) \

## xcircuit 3.7.55.dfsg

=== debian/changelog ===
xcircuit (3.7.55.dfsg-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Modify to use multiarch Tcl & Tk location, fixing FTBFS.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 14 Dec 2013 23:57:54 +0530

xcircuit (3.7.55.dfsg-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Sat, 14 Dec 2013 12:24:06 +0100

xcircuit (3.7.54.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 21 Oct 2013 11:20:36 +0200

xcircuit (3.7.52.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 15:49:35 +0200

xcircuit (3.7.51.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 28 Jul 2013 16:12:10 +0200

xcircuit (3.7.50.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 14 Jun 2013 21:08:34 +0200

xcircuit (3.7.49.dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 18 May 2013 16:24:01 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
 Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://opencircuitdesign.com/xcircuit/
 
 Package: xcircuit

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 		--with-tklibs=/usr/lib/$(DEB_HOST_MULTIARCH)
 	
 override_dh_auto_build:
-	$(MAKE) \
+	dh_auto_build -- \
 		librarydir=/usr/share/xcircuit \
 		exelibdir=/usr/lib/xcircuit \
 		scriptsdir=/usr/share/xcircuit

## xcircuit 3.7.57.dfsg

=== debian/changelog ===
xcircuit (3.7.57.dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sun, 18 May 2014 19:56:04 +0200

xcircuit (3.7.56.dfsg-1) unstable; urgency=medium

  * New upstream release
    - API adjustment (Closes: #741821)
    - Dependencies fixed (Closes: #742495)
  * Applied Tcl 8.6 fix by Sergei Golovan (Closes: #724826)
  * Use chrpath to strip RPATH from /usr/lib/xcircuit/xcircexec

 -- Roland Stigge <stigge@antcom.de>  Mon, 07 Apr 2014 11:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xcircuit
 Section: electronics
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Margarita Manterola <marga@debian.org>
+Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
-Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev, tk-dev, autotools-dev
+Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev (>= 8.6.0+6), tk-dev (>= 8.6.0+6), autotools-dev, dpkg-dev (>= 1.16.0), chrpath
 Standards-Version: 3.9.5
 Homepage: http://opencircuitdesign.com/xcircuit/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
@@ -17,8 +18,9 @@
 	touch --time=mtime -r configure.in aclocal.m4
 	touch --time=mtime -r configure.in Xw/Makefile.am
 	touch --time=mtime -r Xw/Makefile.am Xw/Makefile.in
-	LDFLAGS="-Wl,-z,defs" dh_auto_configure -- --x-includes=/usr --with-tcllibs=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		--with-tklibs=/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- --x-includes=/usr --with-tcl=/usr/lib \
+			     --with-tcllibs=/usr/lib/$(DEB_HOST_MULTIARCH) \
+			     --with-tklibs=/usr/lib/$(DEB_HOST_MULTIARCH)
 	
 override_dh_auto_build:
 	dh_auto_build -- \
@@ -35,6 +37,7 @@
 		appmandir=/usr/share/man/man1/ \
 		DESTDIR=$(CURDIR)/debian/xcircuit
 	chmod a-x $(CURDIR)/debian/xcircuit/usr/share/xcircuit/console.tcl
+	chrpath -d $(CURDIR)/debian/xcircuit/usr/lib/xcircuit/xcircexec
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES

## xcircuit 3.8.78.dfsg

=== debian/changelog ===
xcircuit (3.8.78.dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Standards-Version: 3.9.6
    - Depends: wish (Closes: #770587)

 -- Roland Stigge <stigge@antcom.de>  Thu, 14 Jan 2016 22:14:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Margarita Manterola <marga@debian.org>
 Uploaders: Roland Stigge <stigge@antcom.de>
 Build-Depends: libx11-dev, libxpm-dev, libxt-dev, x11proto-core-dev, m4, debhelper (>= 9), tcl-dev (>= 8.6.0+6), tk-dev (>= 8.6.0+6), autotools-dev, dpkg-dev (>= 1.16.0), chrpath
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opencircuitdesign.com/xcircuit/
 
 Package: xcircuit
 Section: electronics
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: wish, ${shlibs:Depends}, ${misc:Depends}
 Description: Draw circuit schematics or almost anything
  xcircuit is a generic drawing program tailored for making circuit
  diagrams.

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	cd $(TMP) && tar xf xcircuit*.tgz && \
 		rm xcircuit*.tgz && \
 		rm -r */asg && \
+		rm -f */spiceparser/example && \
 		VERSION=`ls -d xcircuit*` && \
 		tar cfj ../$$VERSION.dfsg.tar.bz2 $$VERSION
 	rm -rf $(TMP)

=== debian/watch ===
version=3
opts="dversionmangle=s/\.dfsg$//" \
http://opencircuitdesign.com/xcircuit/archive/xcircuit-(3\.7\..*)\.tgz

## xcircuit 3.9.73%2Bdfsg.1

=== debian/control ===
Source: xcircuit
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <rubund@debian.org>
Build-Depends: debhelper (>= 11),
               libx11-dev,
               libxpm-dev,
               libxt-dev,
               x11proto-core-dev,
               tcl-dev (>= 8.6.0+6),
               tk-dev (>= 8.6.0+6),
               chrpath,
               libcairo2-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/electronics-team/xcircuit
Vcs-Git: https://salsa.debian.org/electronics-team/xcircuit.git
Homepage: http://opencircuitdesign.com/xcircuit/

Package: xcircuit
Architecture: any
Depends: wish, ${shlibs:Depends}, ${misc:Depends}
Description: Draw circuit schematics or almost anything
 xcircuit is a generic drawing program tailored for making circuit
 diagrams.
 .
 The graphical interface attempts to maintain consistency between
 X11 window rendering and the pure PostScript output.
 .
 xcircuit is mouse, menu and keyboard driven. The emphasis is on
 single character macros.
